#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'panel.edit'}
#{/set}
<ol class="breadcrumb" style="background-color: #25B396 !important;">
	<li><a href="@{devpartner.PanelCtr.index()}">&{'panel.daftar'}</a></li>
	<li class="active">&{'panel.sunting'}</li>
</ol>
<div class="content">
#{alert /}
#{form @devpartner.PanelCtr.simpan(panel?.pnl_id), name:'formPanel', enctype:"multipart/form-data", method:'POST', class:'form-horizontal'}
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'panel.nama_panel'} <span class="warning">*</span></label>
		<div class="col-lg-10 #{errorClass 'panel.nama_panel'/}">
			<input name="panel.nama_panel" type="text" size="60" maxlength="100" value="${panel?.nama_panel}" class="form-control" />
			<span class="help-block">#{error 'panel.nama_panel' /}</span>
		</div>
	</div>
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'panel.keterangan'} <span class="warning">*</span></label>
		<div class="col-lg-10 #{errorClass 'panel.keterangan'/}">
			<textarea id="editor" name="panel.keterangan" class="form-control" rows="12">${panel?.keterangan}</textarea>
			<span class="help-block">#{error 'panel.keterangan' /}</span>

		</div>
	</div>
    <div class="form-group">
        <label class="col-lg-2 control-label">&{'panel.pnl_size'} <span class="warning">*</span></label>
        <div class="col-lg-10 #{errorClass 'panel.pnl_size'/}">
            <input name="panel.pnl_size" type="number" size="10" maxlength="5" value="${panel?.pnl_size}" class="form-control" />
            <span class="help-block">#{error 'panel.pnl_size' /}</span>
        </div>
    </div>
	#{if panel?.pnl_id}
        <div class="form-group #{errorClass 'panel.member_details'/}">
            <label class="col-lg-2 control-label">&{'panel.member_details'}</label>
            <div class="col-lg-10"  >
                #{if panel?.member_details_id}
                    <br />
                    <a name="memberDetails" href="${panel?.memberDetailsBlob?.getDownloadUrl(models.devpartner.handler.PanelMemberDetailsDownloadHandler.class)}">${panel?.memberDetailsBlob?.getFileName()}</a>
                    <a href="javascript:void(0)" class="removeBtn"><input type="hidden" name="hapus" value=1><i class="fa fa-trash-o fa-lg"></i></a>
                #{/if}
                <input type="file" id="attachment"  size="60" name="memberDetails" class="form-control"  />
                <span class="help-block">#{error 'panel.member_details' /}</span>
            </div>
        </div>
        <div class="form-group #{errorClass 'panel.contract_award'/}">
            <label class="col-lg-2 control-label">&{'panel.contract_award'}</label>
            <div class="col-lg-10"  >
                #{if panel?.contract_award_id}
                    <br />
                    <a name="contractAward" href="${panel?.contractAwardBlob?.getDownloadUrl(models.devpartner.handler.PanelContractAwardDownloadHandler.class)}">${panel?.contractAwardBlob?.getFileName()}</a>
                    <a href="javascript:void(0)" class="removeBtn"><input type="hidden" name="hapusAward" value=1><i class="fa fa-trash-o fa-lg"></i></a>
                #{/if}
                <input type="file" id="attachmentAward"  size="60" name="contractAward" class="form-control"  />
                <span class="help-block">#{error 'panel.contract_award' /}</span>
            </div>
        </div>
	#{/if}
    <p><span class="warning">*</span> &{'validation.mandatory'}</p>
    #{saveButton /}
    #{backButton action:@devpartner.PanelCtr.index() /}
#{/form}
</div>

#{set 'custom_script'}
<script type="text/javascript">
$(document).on('click', '.removeBtn', function(){
    $(this).parent().parent().remove()
 })
</script>
#{/set}


